<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ScriptHandler (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ScriptHandler (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/initialization/dsl/ScriptHandler.html" target="_top">Frames</a></li>
<li><a href="ScriptHandler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.initialization.dsl</div>
<h2 title="Interface ScriptHandler" class="title">Interface ScriptHandler</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">ScriptHandler</span></pre>
<div class="block"><p>A <code>ScriptHandler</code> allows you to manage the compilation and execution of a build script. You can declare the
 classpath used to compile and execute a build script. This classpath is also used to load the plugins which the build
 script uses.</p>

 <p>You can obtain a <code>ScriptHandler</code> instance using <a href="../../../../../org/gradle/api/Project.html#getBuildscript()"><code>Project.getBuildscript()</code></a> or <a href="../../../../../org/gradle/api/Script.html#getBuildscript()"><code>Script.getBuildscript()</code></a>.</p>

 <p>To declare the script classpath, you use the <a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>DependencyHandler</code></a> provided by
 <a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getDependencies()"><code>getDependencies()</code></a> to attach dependencies to the <a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#CLASSPATH_CONFIGURATION">"classpath"</a> configuration. These
 dependencies are resolved just prior to script compilation, and assembled into the classpath for the script.</p>

 <p>For most external dependencies you will also need to declare one or more repositories where the dependencies can
 be found, using the <a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>RepositoryHandler</code></a> provided by <a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getRepositories()"><code>getRepositories()</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#CLASSPATH_CONFIGURATION">CLASSPATH_CONFIGURATION</a></strong></code>
<div class="block">The name of the configuration used to assemble the script classpath.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#dependencies(groovy.lang.Closure)">dependencies</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Configures the dependencies for the script.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/ClassLoader.html?is-external=true" title="class or interface in java.lang">ClassLoader</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getClassLoader()">getClassLoader</a></strong>()</code>
<div class="block">Returns the <code>ClassLoader</code> which contains the classpath for this script.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getConfigurations()">getConfigurations</a></strong>()</code>
<div class="block">Returns the configurations of this handler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl">DependencyHandler</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">Returns the dependencies of the script.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html" title="interface in org.gradle.api.artifacts.dsl">RepositoryHandler</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getRepositories()">getRepositories</a></strong>()</code>
<div class="block">Returns a handler to create repositories which are used for retrieving dependencies for the script classpath.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getSourceFile()">getSourceFile</a></strong>()</code>
<div class="block">Returns the file containing the source for the script, if any.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getSourceURI()">getSourceURI</a></strong>()</code>
<div class="block">Returns the URI for the script source, if any.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#repositories(groovy.lang.Closure)">repositories</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Configures the repositories for the script dependencies.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CLASSPATH_CONFIGURATION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CLASSPATH_CONFIGURATION</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CLASSPATH_CONFIGURATION</pre>
<div class="block">The name of the configuration used to assemble the script classpath.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#org.gradle.api.initialization.dsl.ScriptHandler.CLASSPATH_CONFIGURATION">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSourceFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getSourceFile()</pre>
<div class="block">Returns the file containing the source for the script, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The source file. Returns null if the script source is not a file.</dd></dl>
</li>
</ul>
<a name="getSourceURI()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceURI</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;getSourceURI()</pre>
<div class="block">Returns the URI for the script source, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The source URI. Returns null if the script source has no URI.</dd></dl>
</li>
</ul>
<a name="getRepositories()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepositories</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html" title="interface in org.gradle.api.artifacts.dsl">RepositoryHandler</a>&nbsp;getRepositories()</pre>
<div class="block">Returns a handler to create repositories which are used for retrieving dependencies for the script classpath.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the repository handler. Never returns null.</dd></dl>
</li>
</ul>
<a name="repositories(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>repositories</h4>
<pre>void&nbsp;repositories(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Configures the repositories for the script dependencies. Executes the given closure against the <a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>RepositoryHandler</code></a> for this handler. The <a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>RepositoryHandler</code></a> is passed to the closure as the closure's
 delegate.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - the closure to use to configure the repositories.</dd></dl>
</li>
</ul>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl">DependencyHandler</a>&nbsp;getDependencies()</pre>
<div class="block">Returns the dependencies of the script. The returned dependency handler instance can be used for adding new
 dependencies. For accessing already declared dependencies, the configurations can be used.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the dependency handler. Never returns null.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#getConfigurations()"><code>getConfigurations()</code></a></dd></dl>
</li>
</ul>
<a name="dependencies(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dependencies</h4>
<pre>void&nbsp;dependencies(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Configures the dependencies for the script. Executes the given closure against the <a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>DependencyHandler</code></a> for
 this handler. The <a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>DependencyHandler</code></a> is passed to the closure as the closure's delegate.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - the closure to use to configure the dependencies.</dd></dl>
</li>
</ul>
<a name="getConfigurations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigurations</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a>&nbsp;getConfigurations()</pre>
<div class="block">Returns the configurations of this handler. This usually contains a single configuration, called <a href="../../../../../org/gradle/api/initialization/dsl/ScriptHandler.html#CLASSPATH_CONFIGURATION">"classpath"</a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The configuration of this handler.</dd></dl>
</li>
</ul>
<a name="getClassLoader()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getClassLoader</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/ClassLoader.html?is-external=true" title="class or interface in java.lang">ClassLoader</a>&nbsp;getClassLoader()</pre>
<div class="block">Returns the <code>ClassLoader</code> which contains the classpath for this script.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The ClassLoader. Never returns null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/initialization/dsl/ScriptHandler.html" target="_top">Frames</a></li>
<li><a href="ScriptHandler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
